Subject: Re: [PATCH] CPM2: Fix totally bogus alignment handing of dpalloc

From: Pantelis Antoniou <[email-masked]>
Date: Thu, 24 Nov 2005 14:48:45 +0200

Clement Fabien wrote:
> Hi,
> 
> Some results: alignments are now respected but it seems that the method
> I took from linux 2.4 is more efficient in terms of memory consumption.
> I will provide a complete patch today with the same mechanism for
> rh_alloc_fixed.
> 
> Fabien
> 
> 
>

Please don't bother.

The other method messes up the deallocations, you just have to live
with the wasted space.

With rh_alloc_fixed you're suppossed to know your alignment, the align
argument is bogus.

Pantelis